function [corArr12] = makeCorArr12(corStrArr)
    % Click12Time  ch1val cha2val  para1a para1b para1c para1d  para2a para2b para2c para2d
    
    corArr12 = zeros(size(corStrArr, 1)*12, 11);
    
    %% Inn keyframe0 verdier fra move filer
    iCSA = 1;
    iCSA12 = 1;
    while iCSA < size(corStrArr, 1)
        moveName = convertStringsToChars(strtrim(corStrArr(iCSA, 3))); 
% ['movLib/' moveName '.txt']
        fi = fopen(['movLib/' moveName '.txt'], 'r');
       
        li = fgetl(fi);
        li = fgetl(fi);
        li = fgetl(fi);
        movLng = str2double(li(8:end));
        li = fgetl(fi);
        li = fgetl(fi);
        li = fgetl(fi);
        li = fgetl(fi);
        
        for ii = 1 : movLng*12
            li = fgetl(fi);
            if li(6) == ' '
                valu1 = 0; % tom
            else
                valu1 = str2double(li(6));
            end
            
            if li(8) == ' '
                valu2 = 0;
            else
                valu2 = str2double(li(8));
            end
            corArr12(iCSA12, 2) = valu1; % 1...9
            corArr12(iCSA12, 3) = valu2;
            iCSA12 = iCSA12 + 1;
        end
        
        fclose(fi);
        
        iCSA = iCSA + movLng;
    end
    
    %% Inn 12 clicktider
    for i = 1 : length(corStrArr) - 1
        dist = (str2double(corStrArr(i + 1, 1)) - str2double(corStrArr(i, 1))) / 12;
        
        startVal = str2double(corStrArr(i, 1));
        
        corArr12(12*(i-1) + 1, 1) = floor(startVal + dist*0);
        corArr12(12*(i-1) + 2, 1) = floor(startVal + dist*1);
        corArr12(12*(i-1) + 3, 1) = floor(startVal + dist*2);
        corArr12(12*(i-1) + 4, 1) = floor(startVal + dist*3);
        
        corArr12(12*(i-1) + 5, 1) = floor(startVal + dist*4);
        corArr12(12*(i-1) + 6, 1) = floor(startVal + dist*5);
        corArr12(12*(i-1) + 7, 1) = floor(startVal + dist*6);
        corArr12(12*(i-1) + 8, 1) = floor(startVal + dist*7);
        
        corArr12(12*(i-1) + 9, 1)  = floor(startVal + dist*8);
        corArr12(12*(i-1) + 10, 1) = floor(startVal + dist*9);
        corArr12(12*(i-1) + 11, 1) = floor(startVal + dist*10);
        corArr12(12*(i-1) + 12, 1) = floor(startVal + dist*11);
    end
    
    %% Inn para
    currYval = 0;
    currClick = 1;
    % Først kanal 1
    for i = 1 : size(corArr12, 1)
        if corArr12(i, 2) > 0 % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = (corArr12(i, 2) - 5)/4; % Legger inn ny verdi sentrert rundt 5 i currclick i
            currClick = i;
            
            x1 = corArr12(oldClick, 1); % x til click-1
            x2 = corArr12(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2);
            for ii = oldClick : currClick - 1
                corArr12(ii, 4:7) = [A, B, D, T];
            end
        end
    end
    
    %%%%%%%%%%%% Kanal 2
    
    currYval = 0;
    currClick = 1;
    
    for i = 1 : size(corArr12, 1)
        if corArr12(i, 3) > 0 % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = (corArr12(i, 3) - 5)/4; % Legger inn ny verdi sentrert rundt 5 i currclick i
            currClick = i;
            
            x1 = corArr12(oldClick, 1); % x til click-1
            x2 = corArr12(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2);
            for ii = oldClick : currClick - 1
                corArr12(ii, 8:11) = [A, B, D, T];
            end
        end
    end
    
    
end




